moeoParetoObjectiveVectorComparator(3)

NAME
moeoParetoObjectiveVectorComparator - This functor class allows to compare 2 objective vectors according to Pareto dominance.

SYNOPSIS

#include <moeoObjectiveVectorComparator.h>

Inherits moeoObjectiveVectorComparator< ObjectiveVector >< ObjectiveVector >.

  Public Member Functions
bool operator() (const ObjectiveVector &_objectiveVector1, const ObjectiveVector &_objectiveVector2)
Returns true if _objectiveVector1 dominates _objectiveVector2.

Detailed Description

  template<class ObjectiveVector> class moeoParetoObjectiveVectorComparator< ObjectiveVector >
This functor class allows to compare 2 objective vectors according to Pareto dominance.

Definition at line 32 of file moeoObjectiveVectorComparator.h.

Member Function Documentation

  template<class ObjectiveVector> bool moeoParetoObjectiveVectorComparator< ObjectiveVector >::operator() (const ObjectiveVector & _objectiveVector1, const ObjectiveVector & _objectiveVector2) [inline]

Returns true if _objectiveVector1 dominates _objectiveVector2.

Parameters:
    _objectiveVector1 the first objective vector
    _objectiveVector2 the second objective vector

Definition at line 41 of file moeoObjectiveVectorComparator.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.